h1:where(.wp-block-heading).has-background,
h2:where(.wp-block-heading).has-background,
h3:where(.wp-block-heading).has-background,
h4:where(.wp-block-heading).has-background,
h5:where(.wp-block-heading).has-background,
h6:where(.wp-block-heading).has-background {
  padding: 1.25em 2.375em;
}

h1.has-text-align-left[style*="writing-mode"]:where([style*="vertical-lr"]),
h1.has-text-align-right[style*="writing-mode"]:where([style*="vertical-rl"]),
h2.has-text-align-left[style*="writing-mode"]:where([style*="vertical-lr"]),
h2.has-text-align-right[style*="writing-mode"]:where([style*="vertical-rl"]),
h3.has-text-align-left[style*="writing-mode"]:where([style*="vertical-lr"]),
h3.has-text-align-right[style*="writing-mode"]:where([style*="vertical-rl"]),
h4.has-text-align-left[style*="writing-mode"]:where([style*="vertical-lr"]),
h4.has-text-align-right[style*="writing-mode"]:where([style*="vertical-rl"]),
h5.has-text-align-left[style*="writing-mode"]:where([style*="vertical-lr"]),
h5.has-text-align-right[style*="writing-mode"]:where([style*="vertical-rl"]),
h6.has-text-align-left[style*="writing-mode"]:where([style*="vertical-lr"]),
h6.has-text-align-right[style*="writing-mode"]:where([style*="vertical-rl"]) {
  rotate: 180deg;
}

ol,
ul {
  box-sizing: border-box;
}

:root :where(.wp-block-list.has-background) {
  padding: 1.25em 2.375em;
}

.is-small-text {
  font-size: 0.875em;
}

.is-regular-text {
  font-size: 1em;
}

.is-large-text {
  font-size: 2.25em;
}

.is-larger-text {
  font-size: 3em;
}

.has-drop-cap:not(:focus)::first-letter {
  float: left;
  margin: 0.05em 0.1em 0 0;
  font-size: 8.4em;
  font-style: normal;
  font-weight: 100;
  line-height: 0.68;
  text-transform: uppercase;
}

body.rtl .has-drop-cap:not(:focus)::first-letter {
  float: none;
  margin-left: 0.1em;
}

p.has-drop-cap.has-background {
  overflow: hidden;
}

:root :where(p.has-background) {
  padding: 1.25em 2.375em;
}

:where(p.has-text-color:not(.has-link-color)) a {
  color: inherit;
}

p.has-text-align-left[style*="writing-mode:vertical-lr"],
p.has-text-align-right[style*="writing-mode:vertical-rl"] {
  rotate: 180deg;
}

.wp-block-table {
  overflow-x: auto;
}

.wp-block-table table {
  width: 100%;
  border-collapse: collapse;
}

.wp-block-table thead {
  border-bottom: 3px solid;
}

.wp-block-table tfoot {
  border-top: 3px solid;
}

.wp-block-table td,
.wp-block-table th {
  padding: 0.5em;
  border: 1px solid;
}

.wp-block-table .has-fixed-layout {
  width: 100%;
  table-layout: fixed;
}

.wp-block-table .has-fixed-layout td,
.wp-block-table .has-fixed-layout th {
  word-break: break-word;
}

.wp-block-table.aligncenter,
.wp-block-table.alignleft,
.wp-block-table.alignright {
  display: table;
  width: auto;
}

.wp-block-table.aligncenter td,
.wp-block-table.aligncenter th,
.wp-block-table.alignleft td,
.wp-block-table.alignleft th,
.wp-block-table.alignright td,
.wp-block-table.alignright th {
  word-break: break-word;
}

.wp-block-table .has-subtle-light-gray-background-color {
  background-color: #f3f4f5;
}

.wp-block-table .has-subtle-pale-green-background-color {
  background-color: #e9fbe5;
}

.wp-block-table .has-subtle-pale-blue-background-color {
  background-color: #e7f5fe;
}

.wp-block-table .has-subtle-pale-pink-background-color {
  background-color: #fcf0ef;
}

.wp-block-table.is-style-stripes {
  border-spacing: 0;
  border-collapse: inherit;
  background-color: initial;
  border-bottom: 1px solid #f0f0f0;
}

.wp-block-table.is-style-stripes tbody tr:nth-child(odd) {
  background-color: #f0f0f0;
}

.wp-block-table.is-style-stripes.has-subtle-light-gray-background-color
  tbody
  tr:nth-child(odd) {
  background-color: #f3f4f5;
}

.wp-block-table.is-style-stripes.has-subtle-pale-green-background-color
  tbody
  tr:nth-child(odd) {
  background-color: #e9fbe5;
}

.wp-block-table.is-style-stripes.has-subtle-pale-blue-background-color
  tbody
  tr:nth-child(odd) {
  background-color: #e7f5fe;
}

.wp-block-table.is-style-stripes.has-subtle-pale-pink-background-color
  tbody
  tr:nth-child(odd) {
  background-color: #fcf0ef;
}

.wp-block-table.is-style-stripes td,
.wp-block-table.is-style-stripes th {
  border-color: transparent;
}

.wp-block-table .has-border-color td,
.wp-block-table .has-border-color th,
.wp-block-table .has-border-color tr,
.wp-block-table .has-border-color > * {
  border-color: inherit;
}

.wp-block-table table[style*="border-top-color"] tr:first-child,
.wp-block-table table[style*="border-top-color"] tr:first-child td,
.wp-block-table table[style*="border-top-color"] tr:first-child th,
.wp-block-table table[style*="border-top-color"] > *,
.wp-block-table table[style*="border-top-color"] > * td,
.wp-block-table table[style*="border-top-color"] > * th {
  border-top-color: inherit;
}

.wp-block-table table[style*="border-top-color"] tr:not(:first-child) {
  border-top-color: initial;
}

.wp-block-table table[style*="border-right-color"] td:last-child,
.wp-block-table table[style*="border-right-color"] th,
.wp-block-table table[style*="border-right-color"] tr,
.wp-block-table table[style*="border-right-color"] > * {
  border-right-color: inherit;
}

.wp-block-table table[style*="border-bottom-color"] tr:last-child,
.wp-block-table table[style*="border-bottom-color"] tr:last-child td,
.wp-block-table table[style*="border-bottom-color"] tr:last-child th,
.wp-block-table table[style*="border-bottom-color"] > *,
.wp-block-table table[style*="border-bottom-color"] > * td,
.wp-block-table table[style*="border-bottom-color"] > * th {
  border-bottom-color: inherit;
}

.wp-block-table table[style*="border-bottom-color"] tr:not(:last-child) {
  border-bottom-color: initial;
}

.wp-block-table table[style*="border-left-color"] td:first-child,
.wp-block-table table[style*="border-left-color"] th,
.wp-block-table table[style*="border-left-color"] tr,
.wp-block-table table[style*="border-left-color"] > * {
  border-left-color: inherit;
}

.wp-block-table table[style*="border-style"] td,
.wp-block-table table[style*="border-style"] th,
.wp-block-table table[style*="border-style"] tr,
.wp-block-table table[style*="border-style"] > * {
  border-style: inherit;
}

.wp-block-table table[style*="border-width"] td,
.wp-block-table table[style*="border-width"] th,
.wp-block-table table[style*="border-width"] tr,
.wp-block-table table[style*="border-width"] > * {
  border-style: inherit;
  border-width: inherit;
}
